<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY epiphany-download-http
           "&gnome-download-http;/epiphany/&gnome-47;/epiphany-&epiphany-version;.tar.xz">
  <!ENTITY epiphany-download-ftp  " ">
  <!ENTITY epiphany-md5sum        "ba8e94876c62e3c17cad15a7e025d643">
  <!ENTITY epiphany-size          "3.9 MB">
  <!ENTITY epiphany-buildsize     "48 MB (with tests)">
  <!ENTITY epiphany-time          "0.2 SBU (with tests; both using parallelism=4)">
]>

<sect1 id="epiphany" xreflabel="Epiphany-&epiphany-version;">
  <?dbhtml filename="epiphany.html"?>


  <title>Epiphany-&epiphany-version;</title>

  <indexterm zone="epiphany">
    <primary sortas="a-Epiphany">Epiphany</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Epiphany</title>

    <para>
      <application>Epiphany</application> is a simple yet powerful
      <application>GNOME</application> web browser targeted at non-technical
      users. Its principles are simplicity and standards compliance.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&epiphany-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&epiphany-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &epiphany-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &epiphany-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &epiphany-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &epiphany-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Epiphany Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gcr4"/>,
      <xref linkend="gnome-desktop"/>,
      <xref linkend="iso-codes"/>,
      <xref linkend="json-glib"/>,
      <xref linkend="libadwaita1"/>,
      <xref linkend="libportal"/>,
      <xref linkend="nettle"/>, and
      <xref linkend="webkitgtk"/> (built with GTK-4)
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="appstream-glib"/> and
      <ulink url="https://github.com/elementary/granite">Granite</ulink>
    </para>

    <bridgehead renderas="sect4">Runtime Dependencies</bridgehead>
    <para role="optional">
      <xref role="runtime" linkend="gnome-keyring"/> (for storing passwords) and
      <xref role="runtime" linkend="seahorse"/> (for managing stored passwords)
    </para>

    <para condition="html" role="usernotes">Editor Notes:
      <ulink url="&blfs-wiki;/epiphany"/>
    </para>
  </sect2>

  <sect2 role="installation">
    <title>Installation of Epiphany</title>

    <note>
      <para>
        If you are upgrading from a epiphany-46 or earlier, remove some files
        that will cause a crash at runtime if they are present as the &root;
        user:
      </para>
    </note>

<screen role="nodump"><userinput remap="pre">rm -rf /usr/lib/epiphany</userinput></screen>

    <para>
      Install <application>Epiphany</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
ninja</userinput></screen>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
                href="../../xincludes/gsettings-destdir.xml"/>

    <para>
      One test would fail if this package is not installed,
      so it's better to run the test suite after installation.
      To test the results, issue <command>ninja test</command>.
      The tests must be run from a graphical session.
    </para>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          epiphany
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /usr/{lib,libexec,share,share/help/*}/epiphany
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="epiphany-prog">
        <term><command>epiphany</command></term>
        <listitem>
          <para>
            is a <application>GNOME</application> web browser based on
            the <application>WebKit2</application> rendering engine
          </para>
          <indexterm zone="epiphany epiphany-prog">
            <primary sortas="b-epiphany">epiphany</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
